
#include <string.h>

/* This is a nice simple strstr,
   now go and work out why the GNU one is faster :-) */

char *strstr(str1, str2)
char *str1, *str2;
{
    register char *Sptr, *Tptr;
    int	len = strlen(str1) -strlen(str2) + 1;

    if (*str2)
	for (; len > 0;	len--, str1++){
	    if (*str1 != *str2)
		continue;

	    for	(Sptr =	str1, Tptr = str2; *Tptr != '\0'; Sptr++, Tptr++)
		if (*Sptr != *Tptr)
		    break;

	    if (*Tptr == '\0')
		return (char*) str1;
	}

    return (char*)0;
}
